# Searches for chapters using predefined parameters Searches for chapters using predefined parameters Endpoint: POST /chapters/{tenantId}/search Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `exclusiveStartKey` (string) The start key for the search, for paging support - `fieldsToReturn` (string) The fields that you want to retrieve; if omitted, the entire object is returned ## Request fields (application/json): - `city` (string) City to search - `id` (array) IDs to search - `is_active` (array) - `name` (string) - `state` (string) The state - `type_id` (array) Types to search ## Response 200 fields (application/json): - `Items` (array) - `Items.city` (string) City to search - `Items.id` (string) - `Items.is_active` (boolean) - `Items.name` (string) - `Items.state` (string) The state - `Items.type_id` (string) - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields